Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Courses

Get Courses
GET /training/courses
https://api.relesystest.net/api/v1.4/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"a81766bc-adad-42fc-8924-9d2f445deb3c","courseGroupId":"a2e8a1f3-b393-495d-9ada-decfd56f676e","phaseId":"b054c9f3-e5f7-4bba-9ae0-64877ea1b115","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"f10c362f-f1a6-4dff-a195-ab7fbcf08893","courseGroupId":"caf83536-dde9-4450-8024-d1b22b323bcd","phaseId":"c2899a1e-b9ec-412e-bc29-a451b4adc8d6","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string